# Uses of Interface
org.xnio.conduits.WriteReadyHandler

Packages that use WriteReadyHandler
Package
Description
org.xnio.conduits
The XNIO conduit SPI.

## Uses of WriteReadyHandler in org.xnio.conduits

Classes in org.xnio.conduits that implement WriteReadyHandler
Modifier and Type
Class
Description
`static class`
`WriteReadyHandler.ChannelListenerHandler<C extends SuspendableWriteChannel & WriteListenerSettable<C> & CloseListenerSettable<C>>`
A write ready handler which calls channel listener(s).
Methods in org.xnio.conduits with parameters of type WriteReadyHandler
Modifier and Type
Method
Description
`void`
AbstractSinkConduit.`setWriteReadyHandler(WriteReadyHandler handler)`
`void`
AbstractSynchronizedSinkConduit.`setWriteReadyHandler(WriteReadyHandler handler)`
`void`
NullStreamSinkConduit.`setWriteReadyHandler(WriteReadyHandler handler)`
`void`
SinkConduit.`setWriteReadyHandler(WriteReadyHandler handler)`
Set the handler which should receive readiness notifications.
`void`
StreamSinkChannelWrappingConduit.`setWriteReadyHandler(WriteReadyHandler handler)`
Constructors in org.xnio.conduits with parameters of type WriteReadyHandler
Modifier
Constructor
Description
``
`ReadyTask(WriteReadyHandler handler)`
Construct a new instance.